List all relationship types
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Relationships types describe the nature of the directed link between two contacts or two companies. Each relationship type has a forward and reverse component, and a forward and reverse title that applies to the source and destination objects in the relationship.
Attributes
| Attribute Name | Type | Description | Attributes |
|---|---|---|---|
self | reference | URL of the Relationship Type | Read-only Non-null |
forward | string | Text that reads from the source to the destination, e.g. "is the parent company of" (max 512 characters) | Read-Write Nullable Searchable |
reverse | string | Text that reads from the destination back to the source, e.g. "is the subsidiary of" (max 512 characters) | Read-Write Nullable Searchable |
Filtering Results
This endpoint returns the full list of Relationship Types, sorted by ID, by default. However, you may include an entity query parameter to only fetch Relationship Types which are enabled for the entity.
An example request that only wanted relationship types for contacts would look like this:
GET /v1/relationship_types?entity=contactThese are the valid values for the entity filter:
You can also add is_active=true or is_active=false to return only active or only inactive relationship types.
Relationship types can be created and updated through the API, but not deleted. Use the Daylite app to remove one.